package tv.ouya.console.internal.util;

import android.util.Log;
import java.io.File;

public final class RuntimeSwitchableLogging
{
  private static final long CHECK_INTERVAL = 5000L;
  private static final File MAGIC_FILE = new File("/sdcard", "dont_skip_the_muffin");
  private static long sLastCheckTime = Long.MIN_VALUE;
  private static boolean sLoggingCache;
  
  public static void i(String paramString1, String paramString2)
  {
    if (isLoggingEnabled()) {
      Log.i("*Dynamic*-" + paramString1, paramString2);
    }
  }
  
  public static void i(String paramString1, String paramString2, Exception paramException)
  {
    if (isLoggingEnabled()) {
      Log.i("*Dynamic*-" + paramString1, paramString2, paramException);
    }
  }
  
  private static boolean isLoggingEnabled()
  {
    try
    {
      if (System.currentTimeMillis() - sLastCheckTime > 5000L)
      {
        sLoggingCache = MAGIC_FILE.exists();
        sLastCheckTime = System.currentTimeMillis();
      }
      return sLoggingCache;
    }
    finally {}
  }
}


/* Location:              /home/enzo/Documents/hacking/malwares/viking-horde/classes.jar!/tv/ouya/console/internal/util/RuntimeSwitchableLogging.class
 * Java compiler version: 6 (50.0)
 * JD-Core Version:       0.7.1
 */